cabal-install-solver-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Solver.Types.Flag

# Documentation

data FlagType Source #

Constructors

Manual |
Automatic |

#### Instances

Instances details

Show FlagType Source # |
Instance details Defined in Distribution.Solver.Types.Flag Methods showsPrec :: Int -> FlagType -> ShowS Source # show :: FlagType -> String Source # showList :: [FlagType] -> ShowS Source #
Eq FlagType Source # |
Instance details Defined in Distribution.Solver.Types.Flag Methods (==) :: FlagType -> FlagType -> Bool Source # (/=) :: FlagType -> FlagType -> Bool Source #